<!--
  ~ (c) Copyright 2024 Swiss Post Ltd.
  -->
<a
    *ngIf="status"
    [attr.aria-current]="isCurrent ? 'page' : undefined"
    [class.disabled]="isCurrent || status === WorkflowStatus.Idle"
    [class.text-body]="isCurrent"
    [class.text-muted]="!isCurrent"
    [routerLink]="[parent.path, route.path]"
    class="nav-link link-primary d-flex align-items-center"
    data-test="step"
>
  <span
      *ngIf="status === WorkflowStatus.InProgress; else indicator"
      class="spinner-border spinner-border-sm text-primary me-2"
      role="status"
  >
    <span class="visually-hidden">{{ 'common.loading' | translate }}</span>
  </span>

    <ng-template #indicator>
    <span
        [ngClass]="indicatorClass"
        aria-hidden="true"
        class="bi me-2"
        data-test="indicator"
    ></span>
    </ng-template>

    <span class="flex-grow-1 flex-shrink-0" data-test="label">{{
        'stepper.' + route.data?.workflowStep | translate
        }}</span>
</a>
